/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import java.sql.Connection;
import java.sql.DriverPropertyInfo;
import java.sql.SQLException;
import java.sql.Driver;
import java.util.Properties;

/**
 *      @author Toshio Sugahara
 */
public class StubDataSourceImpl01
        implements Driver {

    static {
        try {
            java.sql.DriverManager.registerDriver(new StubDataSourceImpl01());
        } catch (SQLException E) {
            throw new RuntimeException("Can't register driver!");
        }
    }
    
    public int getMajorVersion() {
        return 0;
    }

    public int getMinorVersion() {
        return 0;
    }

    public boolean jdbcCompliant() {
        return false;
    }

    public boolean acceptsURL(String url)
            throws SQLException {
        return false;
    }

    public Connection connect(String url, Properties prop)
            throws SQLException {
        return null;
    }

    public DriverPropertyInfo[] getPropertyInfo(
            String arg0, Properties arg1) 
            throws SQLException {
        return null;
    }
}
